#!/usr/bin/perl

$database = shift || die "no database file in input ! $!";

%filename;
%filetype;

open($db, "<", $database) || die "cannot open file $database ! $!";

while (<$db>) {

    chomp;
    if (m/\((\S+),(\S+),(\S+)\)/) {
        $$1{$2} = $3;
       # print "$1 $2 $3\n";
    }
}
close $db;

print "Operazioni disponibili: \njoin tabella_1 tabella_2\nshow tabella_1\nquit\n\n";
while(1) {
    $cmd = <STDIN>;
    chomp $cmd;

    # join Tabella_1 == Tabella_2 --> join su chiave primaria soltanto per semplificare 
    if ($cmd =~ m/join (\S+)\s+(\S+)/) {
        @keys = keys %filename;
        foreach (sort {$a <=> $b} @keys) {
            if (exists $$1{$_} and exists $$2{$_}) {
                print "$_, $$1{$_}, $$2{$_}\n";
            }
        }
    }
    # show Tabella_1 
    elsif ($cmd =~ m/show (\S+)/) {
        @keys = keys %$1;
        foreach (sort {$a <=> $b} @keys) {
            if (exists $$1{$_}) {
                print "$_, $$1{$_}\n";
            }
        }
    }
    elsif ($cmd eq "quit") {
        print "Bye bye !";
        last;
    }
}

#foreach $key (sort{$a <=> $b} keys %filename) {
#    print "$key --> $filename{$key}\n";
#}

#foreach $key (sort{$a <=> $b} keys %filetype) {
#    print "$key --> $filetype{$key}\n";
#}
